org.apache.cassandra.db

## Class PartitionPosition.RowPositionSerializer

- java.lang.Object
- - org.apache.cassandra.db.PartitionPosition.RowPositionSerializer

All Implemented Interfaces:
  IPartitionerDependentSerializer<PartitionPosition>

Enclosing interface:
  PartitionPosition

    public static class PartitionPosition.RowPositionSerializer
    extends java.lang.Object
    implements IPartitionerDependentSerializer<PartitionPosition>

### Constructor Summary

Constructors
Constructor and Description
`RowPositionSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartitionPosition` `deserialize(java.io.DataInput in, IPartitioner p, int version)` Deserialize into the specified DataInputStream instance.
`void` `serialize(PartitionPosition pos, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` `serializedSize(PartitionPosition pos, int version)` Calculate serialized size of object without actually serializing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RowPositionSerializer

    public RowPositionSerializer()

### Method Detail

#### serialize

    public void serialize(PartitionPosition pos,
                          DataOutputPlus out,
                          int version)
                   throws java.io.IOException

Description copied from interface: `IPartitionerDependentSerializer`
Serialize the specified type into the specified DataOutputStream instance.

Specified by:
  `serialize` in interface `IPartitionerDependentSerializer<PartitionPosition>`
Parameters:
  `pos` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
  `version` - protocol version
Throws:
  `java.io.IOException` - if serialization fails

#### deserialize

    public PartitionPosition deserialize(java.io.DataInput in,
                                         IPartitioner p,
                                         int version)
                                  throws java.io.IOException

Description copied from interface: `IPartitionerDependentSerializer`
Deserialize into the specified DataInputStream instance.

Specified by:
  `deserialize` in interface `IPartitionerDependentSerializer<PartitionPosition>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
  `p` - Partitioner that will be used to construct tokens. Needs to match the partitioner that was used to serialize the token.
  `version` - protocol version
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException` - if deserialization fails

#### serializedSize

    public long serializedSize(PartitionPosition pos,
                               int version)

Description copied from interface: `IPartitionerDependentSerializer`
Calculate serialized size of object without actually serializing.

Specified by:
  `serializedSize` in interface `IPartitionerDependentSerializer<PartitionPosition>`
Parameters:
  `pos` - object to calculate serialized size
  `version` - protocol version
Returns:
  serialized size of object t